Name:           l3afpad
Version:        0.8.18.1.10
Release:        5%{?dist}
Summary:        Simple text editor forked from Leafpad, supports GTK+ 3.x

License:        GPLv2+
URL:            http://www.calno.com/%{name}/
Source0:        http://www.calno.com/%{name}/%{name}-%{version}.tar.xz


BuildRequires:  gtk3-devel, intltool, gettext, desktop-file-utils


%description
L3afpad is a simple GTK+ text editor that emphasizes simplicity.
As development focuses on keeping weight down to a minimum, only
the most essential features are implemented in the editor.
L3afpad is simple to use, is easily compiled, requires few
libraries, and starts up quickly. 

%prep
%setup -q %{nam}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.18.1.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.18.1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.18.1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Nov 14 2012 Benedikt Schaefer <ib54003@fedoraproject.org> 0.8.18.1.10-2
- update to 0.8.18.1.10
- removing missing-semicolon.patch
- change desktop-file-validate to desktop-file-install 

* Sat May 26 2012 Benedikt Schaefer <ib54003@fedoraproject.org> 0.8.18.1.9-1
- initial version
